library ptwebserver;

import 'dart:io';
import 'dart:convert';

class ptPHP {
  static Directory path = Directory.current;
  static String getMyPath() => "${path.path}/packages/ptwebserver/resource/";

  
  ptPHP(this.enable,this.phpPath,{this.phpINI,this.working_dir});
  
  bool enable;
  String phpPath;
  String phpINI;
  String working_dir;
  
  void Run(HttpRequest req, String phpFile,{List<String> arg}) {
    if(arg==null) {
      arg = new List<String>();
    }       
    /*
     * To add or remove the INI in
     */
    if(phpINI!=null && phpINI.length > 0) {
      arg.add("-c ${phpINI}");
    } else {
      arg.add("-n");
    }
    
    arg.add("${getMyPath()}phpExecute.php");
    arg.add("${phpFile}");
    arg.add(req.method);
    req.uri.queryParameters.forEach((key,val) {
      arg.add("${key}=${val}");
    });
    
    
    //print("php ${arg.toString()}");
    Process.start(phpPath, arg).then((Process proc) {
      proc.stdout.transform(new Utf8Decoder()).listen((data) {
        req.response.write(data);
      }, onDone: () {
        req.response.close();
      });
    }).whenComplete(() {
      //req.response.close();
    });
  }
}